<?php
/*
 * Plugin Name: Get Noticed: Horizontal Subscribe Form
 * Description: Adds a subscribe form to the top of the Get Noticed! Theme
 * Author: David Kryzaniak
 * Version: 1.0.0
 * Author URI: http://dave.kz
 */
if(!function_exists('DaveKz_GNT_Horizontal_Subscribe')):
function DaveKz_GNT_Horizontal_Subscribe(){
	//@todo: cache this!
	$data = get_option( 'gnt_horizontal_subscribe' );

	if(
		//test to make sure we have everything
		(!isset($data['signup_form']) || empty($data['signup_form'])) ||
		(!isset($data['title']) || empty($data['title'])) ||
		(!isset($data['line_height']) || empty($data['line_height']))
	){
		echo "<!-- GNT: Horizontal Subscription Bar is installed and activated, but not setup -->";
	}else{
		echo DaveKz_GNT_Horizontal_Subscribe_Styles();
		echo '<div id="gnt-horizontal-subscribe" class="header-feature" style="text-align:center">';
		echo '<div id="gnt-hs-title">'.$data['title'].'</div>';
		echo '<div id="gnt-hs-email-form">'.$data['signup_form'].'</div>';
		echo '</div>';
	}

}
add_action( 'getnoticed_featuredarea', 'DaveKz_GNT_Horizontal_Subscribe',20 );
endif;


if(!function_exists('DaveKz_GNT_Horizontal_Subscribe_Styles')):
function DaveKz_GNT_Horizontal_Subscribe_Styles() {
	//@todo: redo how this works
	$data = get_option( 'gnt_horizontal_subscribe' );
	$styles = get_option( 'getnoticed_theme_options_themedesigner' );
	$custom_css = '#gnt-hs-email-form div{display:inline-block}';
	$custom_css .= '#gnt-hs-email-form .button{padding:0 10px;line-height:'.$data['line_height'].'px}';
	$custom_css .= '#gnt-hs-title{padding-bottom:0.5em;color:'.$styles['h2-color'].';font-size:'.$styles['h2-font']['size'].';}';
	return '<style id="DaveKz_GNT_Horizontal_Subscribe_Styles">'.$custom_css.'</style>';
}
endif;

//setup the admin page
if( is_admin() ){
	require_once('gnt-horizontal-subscribe-settings-page.php');
	$my_settings_page = new horizontalSubscribeSettingsPage();
}
